Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.puppycrawl.tools.checkstyle.checks.javadoc
Class WriteTagCheck

    java.lang.Object
      com.puppycrawl.tools.checkstyle.api.AutomaticBean
          com.puppycrawl.tools.checkstyle.api.AbstractViolationReporter
              com.puppycrawl.tools.checkstyle.api.Check
                  com.puppycrawl.tools.checkstyle.checks.javadoc.WriteTagCheck

All Implemented Interfaces:
  Configurable, Contextualizable

    public class WriteTagCheck

extends Check

Outputs a JavaDoc tag as information. Can be used e.g. with the stylesheets that sort the report by author name. To define the format for a tag, set property tagFormat to a regular expression. This check uses two different severity levels. The normal one is used for reporting when the tag is missing. The additional one (tagSeverity) is used for the level of reporting when the tag exists. The default value for tagSeverity is info.

An example of how to configure the check for printing author name is:

     <module name="WriteTag">
        <property name="tag" value="@author"/>
        <property name="tagFormat" value="\S"/>
     </module>

An example of how to configure the check to print warnings if an "@incomplete" tag is found, and not print anything if it is not found:

     <module name="WriteTag">
        <property name="tag" value="@incomplete"/>
        <property name="tagFormat" value="\S"/>
        <property name="severity" value="ignore"/>
        <property name="tagSeverity" value="warning"/>
     </module>

Version:
  1.0
Author:
  Daniel Grenner

Constructor Summary
`WriteTagCheck()`

Method Summary
`int[]` | `getAcceptableTokens()` The configurable token set.
`int[]` | `getDefaultTokens()` Returns the default token a check is interested in.
`protected void` | `logTag(int aLine, String aTag, String aTagValue)` Log a message.
`void` | `setTag(String aTag)` Sets the tag to check.
`void` | `setTagFormat(String aFormat)` Set the tag format.
`void` | `setTagSeverity(String aSeverity)` Sets the tag severity level.
`void` | `visitToken(DetailAST aAST)` Called to process a token.

Methods inherited from class com.puppycrawl.tools.checkstyle.api.Check
`beginTree, destroy, finishTree, getClassLoader, getFileContents, getLines, getRequiredTokens, getTabWidth, getTokenNames, init, leaveToken, log, log, setClassLoader, setFileContents, setMessages, setTabWidth, setTokens`

Methods inherited from class com.puppycrawl.tools.checkstyle.api.AbstractViolationReporter
`getId, getMessageBundle, getSeverity, getSeverityLevel, log, log, log, log, log, log, log, log, log, setId, setSeverity`

Methods inherited from class com.puppycrawl.tools.checkstyle.api.AutomaticBean
`configure, contextualize, finishLocalSetup, getConfiguration, setupChild`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WriteTagCheck

    public WriteTagCheck()

Method Detail

### setTag

    public void setTag(String aTag)
                throws org.apache.commons.beanutils.ConversionException

  Sets the tag to check.

  Parameters:
    `aTag` - tag to check
  Throws:
    `org.apache.commons.beanutils.ConversionException` - If the tag is not a valid regular exception.

### setTagFormat

    public void setTagFormat(String aFormat)
                      throws org.apache.commons.beanutils.ConversionException

  Set the tag format.

  Parameters:
    `aFormat` - a `String` value
  Throws:
    `org.apache.commons.beanutils.ConversionException` - unable to parse aFormat

### setTagSeverity

    public final void setTagSeverity(String aSeverity)

  Sets the tag severity level. The string should be one of the names defined in the `SeverityLevel` class.

  Parameters:
    `aSeverity` - The new severity level
  See Also:
    `SeverityLevel`

### getDefaultTokens

    public int[] getDefaultTokens()

  Returns the default token a check is interested in. Only used if the configuration for a check does not define the tokens.

  Specified by:
    `getDefaultTokens` in class `Check`
  Returns:
    the default tokens
  See Also:
    `TokenTypes`

### getAcceptableTokens

    public int[] getAcceptableTokens()

  The configurable token set. Used to protect Checks against malicious users who specify an unacceptable token set in the configuration file. The default implementation returns the check's default tokens.

  Overrides:
    `getAcceptableTokens` in class `Check`
  Returns:
    the token set this check is designed for.
  See Also:
    `TokenTypes`

### visitToken

    public void visitToken(DetailAST aAST)

  Called to process a token.

  Overrides:
    `visitToken` in class `Check`
  Parameters:
    `aAST` - the token to process

### logTag

    protected final void logTag(int aLine,
                                String aTag,
                                String aTagValue)

  Log a message.

  Parameters:
    `aLine` - the line number where the error was found
    `aTag` - the javdoc tag to be logged
    `aTagValue` - the contents of the tag
  See Also:
    `MessageFormat`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Back to the Checkstyle Home Page
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD